package com.khmer9.yuki.remote

import org.json.JSONArray

data class SocketMessageDataModel(
    val type: String,
    val countDown: Int? = null,
    val resultArray: JSONArray? = null,
    val totalValue: Int? = null,
    val isBonus: Boolean? = false,
    val bonusNumber: Int? = null,
    val bonusValue: Int? = null

) {
    fun isCountDowning() = countDown != null && resultArray == null
}